<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZExpansion: DayzExpansion/Scripts/5_mission/dayzexpansion/gui/modsmenu/modsmenusimpleentry.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZExpansion<span id="projectnumber">&#160;1.7.17</span>
   </div>
   <div id="projectbrief">DayZExpansion Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('da/de8/a02657_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">modsmenusimpleentry.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../da/de8/a02657.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="comment">/**</span></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span><span class="comment"> * ModsMenuSimpleEntry.c</span></div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span><span class="comment"> *</span></div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span><span class="comment"> * DayZ Expansion Mod</span></div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span><span class="comment"> * www.dayzexpansion.com</span></div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span><span class="comment"> * © 2022 DayZ Expansion Mod Team</span></div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span><span class="comment"> *</span></div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span><span class="comment"> * This work is licensed under the Creative Commons Attribution-NonCommercial-NoDerivatives 4.0 International License.</span></div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span><span class="comment"> * To view a copy of this license, visit http://creativecommons.org/licenses/by-nc-nd/4.0/.</span></div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span><span class="comment"> *</span></div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span><span class="comment">*/</span></div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span> </div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno"><a class="line" href="../../dd/d67/a07058.html">   13</a></span>modded <span class="keyword">class </span><a class="code hl_class" href="../../dd/d67/a07058.html">ModsMenuSimpleEntry</a></div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>{</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno"><a class="line" href="../../dd/d67/a07058.html#a554773abf705ac7efd2e1213dff0e0c4">   15</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../dd/d67/a07058.html#a554773abf705ac7efd2e1213dff0e0c4">LoadData</a>()</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span>    {</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>        super.LoadData();</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span> </div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span>        <span class="keywordtype">string</span> logo = <a class="code hl_variable" href="../../db/d4d/a02654.html#a25738d6b7de39e78c737589e31d4d33e">m_Data</a>.GetLogo();</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span>        <span class="keywordtype">string</span> logo_over = <a class="code hl_variable" href="../../db/d4d/a02654.html#a25738d6b7de39e78c737589e31d4d33e">m_Data</a>.GetLogoOver();</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span> </div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>        <span class="keywordflow">if</span> (logo == <span class="stringliteral">&quot;&quot;</span>)</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>            <a class="code hl_variable" href="../../df/df7/a00731.html#a9c4e72c0aeff838115c41781fbec40d8">m_Icon</a>.LoadImageFile(0, <span class="stringliteral">&quot;DayZExpansion\\Core\\GUI\\icons\\hud\\questionmark_64x64.edds&quot;</span>);</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span> </div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>        <span class="keywordflow">if</span> (logo_over == <span class="stringliteral">&quot;&quot;</span>)</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>            <a class="code hl_variable" href="../../df/df7/a00731.html#a9c4e72c0aeff838115c41781fbec40d8">m_Icon</a>.LoadImageFile(1, <span class="stringliteral">&quot;DayZExpansion\\Core\\GUI\\icons\\hud\\questionmark_64x64.edds&quot;</span>);</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>    }</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>};</div>
<div class="ttc" id="aa00731_html_a9c4e72c0aeff838115c41781fbec40d8"><div class="ttname"><a href="../../df/df7/a00731.html#a9c4e72c0aeff838115c41781fbec40d8">m_Icon</a></div><div class="ttdeci">protected string m_Icon</div><div class="ttdef"><b>Definition:</b> <a href="../../df/df7/a00731_source.html#l00135">expansionnotificationsystem.c:135</a></div></div>
<div class="ttc" id="aa02654_html_a25738d6b7de39e78c737589e31d4d33e"><div class="ttname"><a href="../../db/d4d/a02654.html#a25738d6b7de39e78c737589e31d4d33e">m_Data</a></div><div class="ttdeci">protected ModInfo m_Data</div><div class="ttdef"><b>Definition:</b> <a href="../../db/d4d/a02654_source.html#l00097">modsmenusimple.c:97</a></div></div>
<div class="ttc" id="aa07058_html"><div class="ttname"><a href="../../dd/d67/a07058.html">ModsMenuSimpleEntry</a></div><div class="ttdef"><b>Definition:</b> <a href="../../da/de8/a02657_source.html#l00013">modsmenusimpleentry.c:14</a></div></div>
<div class="ttc" id="aa07058_html_a554773abf705ac7efd2e1213dff0e0c4"><div class="ttname"><a href="../../dd/d67/a07058.html#a554773abf705ac7efd2e1213dff0e0c4">ModsMenuSimpleEntry::LoadData</a></div><div class="ttdeci">override void LoadData()</div><div class="ttdef"><b>Definition:</b> <a href="../../da/de8/a02657_source.html#l00015">modsmenusimpleentry.c:15</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_6127fff2da0a20e2dc2cd9302c584350.html">DayzExpansion</a></li><li class="navelem"><a class="el" href="../../dir_5b6a53149ee7579c80529fd9998a2b4c.html">Scripts</a></li><li class="navelem"><a class="el" href="../../dir_7771e0deaa939e0ec7392437d1db5abe.html">5_mission</a></li><li class="navelem"><a class="el" href="../../dir_e6b874dcc79585be9ae58f69d312f454.html">dayzexpansion</a></li><li class="navelem"><a class="el" href="../../dir_78b620f48df13eefb9608a423ebd6872.html">gui</a></li><li class="navelem"><a class="el" href="../../dir_c920c1f37d0eec4ce557f10bf4565a4d.html">modsmenu</a></li><li class="navelem"><a class="el" href="../../da/de8/a02657.html">modsmenusimpleentry.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
